Package org.apache.catalina.valves.rewrite

## Class Substitution.MapElement

- java.lang.Object
- - org.apache.catalina.valves.rewrite.Substitution.SubstitutionElement
  - - org.apache.catalina.valves.rewrite.Substitution.MapElement

- Enclosing class:
    Substitution

      public class Substitution.MapElement
      extends Substitution.SubstitutionElement

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Substitution.SubstitutionElement[]` | `defaultValue` |
    `Substitution.SubstitutionElement[]` | `key` |
    `RewriteMap` | `map` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapElement()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `evaluate​(java.util.regex.Matcher rule, java.util.regex.Matcher cond, Resolver resolver)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### map

          public RewriteMap map

    - #### defaultValue

          public Substitution.SubstitutionElement[] defaultValue

    - #### key

          public Substitution.SubstitutionElement[] key

  - ### Constructor Detail

    - #### MapElement

          public MapElement()

  - ### Method Detail

    - #### evaluate

          public java.lang.String evaluate​(java.util.regex.Matcher rule,
                                           java.util.regex.Matcher cond,
                                           Resolver resolver)

      Specified by:
        `evaluate` in class `Substitution.SubstitutionElement`